Skip to main content
The Billing API provides access to billing profiles for Cloudflare accounts.

Get billing profile

Retrieve the current billing profile for an account.
This endpoint is deprecated. Please use the new billing API endpoints when they become available.
const profile = await client.billing.profiles.get({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353'
});
account_id
string
required
Account identifier

Response fields

id
string
Billing item identifier tag
first_name
string
Account holder’s first name
last_name
string
Account holder’s last name
address
string
Billing address line 1
address2
string
Billing address line 2
city
string
City
state
string
State or province
zipcode
string
Postal code
country
string
Country code
telephone
string
Contact telephone number
company
string
Company name
primary_email
string
Primary contact email
account_type
string
Type of account
balance
string
Current account balance
card_number
string
Masked credit card number
card_expiry_month
number
Credit card expiry month
card_expiry_year
number
Credit card expiry year
payment_gateway
string
Payment gateway used
payment_email
string
Email for payment notifications
payment_first_name
string
Payment contact first name
payment_last_name
string
Payment contact last name
payment_address
string
Payment address line 1
payment_address2
string
Payment address line 2
payment_city
string
Payment city
payment_state
string
Payment state or province
payment_zipcode
string
Payment postal code
payment_country
string
Payment country code
vat
string
VAT number
tax_id_type
string
Type of tax ID
next_bill_date
string
Date of next billing cycle
created_on
string
When the billing profile was created
edited_on
string
When the billing profile was last edited
is_partner
boolean
Indicates if this is a partner account
enterprise_billing_email
string
Enterprise billing contact email
enterprise_primary_email
string
Enterprise primary contact email

Example response

{
  "id": "0d38eaae9f2b95f6e4af3c80fe3a097c",
  "first_name": "Jane",
  "last_name": "Doe",
  "address": "123 Main Street",
  "city": "San Francisco",
  "state": "CA",
  "zipcode": "94107",
  "country": "US",
  "telephone": "+1-555-867-5309",
  "company": "Acme Corporation",
  "primary_email": "[email protected]",
  "account_type": "business",
  "balance": "0.00",
  "card_number": "xxxx-xxxx-xxxx-1234",
  "card_expiry_month": 12,
  "card_expiry_year": 2025,
  "payment_gateway": "stripe",
  "created_on": "2023-01-15T10:30:00Z",
  "edited_on": "2024-02-20T14:45:00Z"
}

Build docs developers (and LLMs) love